Opened 4 months ago

Last modified 3 months ago

#61755 assigned defect

auto-multiple choice fails to build on Big Sur

Reported by: jmgoicolea (Jose Goicolea) Owned by: nortcele
Priority: Normal Milestone:
Component: ports Version: 2.6.4
Keywords: Cc: jmgoicolea (Jose Goicolea)
Port: auto-multiple-choice

Description

after upgrading to MacOS Big Sur auto-multiple-choice fails to build

Attachments (3)

main.log (2.3 MB) - added by jmgoicolea (Jose Goicolea) 4 months ago.
log file from build
trac-info.txt (6.2 KB) - added by jmgoicolea (Jose Goicolea) 4 months ago.
results for dependencies of auto-multiple-choice
perl-v_output.txt (498 bytes) - added by jmgoicolea (Jose Goicolea) 4 months ago.
output of /opt/local/bin/perl -v

Change History (13)

Changed 4 months ago by jmgoicolea (Jose Goicolea)

Attachment: main.log added

log file from build

comment:1 Changed 4 months ago by jmroot (Joshua Root)

Owner: set to nortcele
Status: newassigned
Type: updatedefect
Version: 2.6.4

comment:2 Changed 4 months ago by jmgoicolea (Jose Goicolea)

Cc: jmgoicolea added

comment:3 Changed 4 months ago by nortcele

It seems that the perl module XML::LibXML is not found. Could you give the result of the following commands?

port installed | grep xml-libxml

and then

port contents p5.28-xml-libxml

comment:4 Changed 4 months ago by jmgoicolea (Jose Goicolea)

Sure, I am enclosing the file with the results

Changed 4 months ago by jmgoicolea (Jose Goicolea)

Attachment: trac-info.txt added

results for dependencies of auto-multiple-choice

comment:5 Changed 4 months ago by jmgoicolea (Jose Goicolea)

(file trac-info.txt in attachments)

comment:6 Changed 4 months ago by nortcele

The XML::LibXML seem to be at the right place. What is the result of the command:

/opt/local/bin/perl -v

Changed 4 months ago by jmgoicolea (Jose Goicolea)

Attachment: perl-v_output.txt added

output of /opt/local/bin/perl -v

comment:7 Changed 4 months ago by jmgoicolea (Jose Goicolea)

Last edited 4 months ago by jmgoicolea (Jose Goicolea) (previous) (diff)

comment:8 Changed 4 months ago by nortcele

After having updated macOS to 11.1, Xcode to 12.3, installed Xcode command line tool with xcode-select --install and uninstalled all installed ports, I've just successfully installed auto-multiple-choice-devel (which is the prefered version). It seem that installing all dependences with the same tools solve a lot of problems.

I'll try later to install the non devel version.

Last edited 3 months ago by nortcele (previous) (diff)

comment:9 Changed 4 months ago by jmgoicolea (Jose Goicolea)

In my case build of auto-multiple-choice-devel fails also. I have not uninstalled all other ports as it takes several hours to rebuild in my case.

My configuration is

macOS 11.1 (darwin/20.2.0) arch i386
MacPorts 2.6.4
sysinfo Xcode 12.3
sysinfo SDK 11.1

The error message in the log file is apparently the same as for the non-devel version.

comment:10 Changed 3 months ago by nortcele

I also made a fresh install of auto-multiple-choice (non devel version) and all dependencies on macos 11.1 and all went fine. So there nothing that could be done on auto-multiple-choice side as the problem is in dependencies.

Note: See TracTickets for help on using tickets.